import ParameterTypes from "@site/src/components/ParameterTypes"

# Constructor

 **Constructor**: (...`args`: `any`[]) => `T`

## Type Parameters

<ParameterTypes parameters={[
  {
    "name": "T",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />

## Type declaration

### Parameters

<ParameterTypes parameters={[
  {
    "name": "args",
    "type": "`any`[]",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
